package yangtz.cs.liu.campus.mapper.time;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import yangtz.cs.liu.campus.domain.time.SchoolTimeDetail;
import yangtz.cs.liu.campus.vo.time.SchoolTimeDetailVO;

import java.util.List;

@Mapper
public interface SchoolTimeDetailMapper extends BaseMapper<SchoolTimeDetail> {

    List<SchoolTimeDetailVO> selectSchoolTimeDetailList(SchoolTimeDetail schoolTimeDetail);

    Integer selectTotalCount(Long schoolTimeId);

    Integer selectAmCount(@Param("schoolTimeId") Long schoolTimeId, @Param("name") String name);

    Integer selectPmCount(@Param("schoolTimeId") Long schoolTimeId, @Param("name") String name);
}
